%{CPP_TEMPLATE}

#include <tdeapplication.h>
#include <dcopclient.h>
#include <tqdatastream.h>
#include <tqstring.h>

int main(int argc, char **argv)
{
    TDEApplication app(argc, argv, "%{APPNAMELC}_client", false);

    // get our DCOP client and attach so that we may use it
    DCOPClient *client = app.dcopClient();
    client->attach();

    // do a 'send' for now
    TQByteArray data;
    TQDataStream ds(data, IO_WriteOnly);
    if (argc > 1)
        ds << TQString(argv[1]);
    else
        ds << TQString("http://www.kde.org");
    client->send("%{APPNAMELC}", "%{APPNAME}Iface", "openURL(TQString)", data);

    return app.exec();
}
